<script setup lang="ts">
import { useStockStore } from '@/stores/stock'

const stockStore = useStockStore()
</script>

<template>
  <v-dialog v-model="stockStore.dialogDelete" max-width="500px">
    <v-toolbar>Delete Stock</v-toolbar>
    <v-card>
      <v-card-title class="text-h5">Are you sure you want to delete this item?</v-card-title>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn variant="text" @click="stockStore.closeDelete">Cancel</v-btn>
        <v-btn
          variant="text"
          @click="stockStore.deleteItemConfirm(stockStore.editedStock)"
          >OK</v-btn
        >
        <v-spacer></v-spacer>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>

<style scoped>
.v-sheet {
  background-color: #fff5e8;
}

.v-toolbar {
  border-top-left-radius: 15px;
  border-top-right-radius: 15px;
  text-decoration: none;
  background-color: #ab9283;
}

.v-toolbar-title {
  font-weight: bold;
  font-size: 24px;
  color: white;
}

.v-table {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  text-decoration: none;
  background-color: #fff5e8;
}

.v-btn {
  background-color: #ffcb5e;
  border-radius: 80px;
  display: flex;
  justify-content: center;
  align-items: center;
  color: black;
}

.custom-header {
  background-color: #ffcb5e;
}
</style>
